<?php

/*
 * Facil-CMS: Because manager your site is very easy!
 * ==================================================
 * 
 * Authors: Wagner Santos -> wagner.santos@dotlinux.com.br
 * 			Celina Jorge  -> celina.jorge@dotlinux.com.br
 * 
 * ====================================================================
 * Facil-CMS is Free Software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation (either version 2.0 of the license).
 * ====================================================================
 */


/**
 * Generates sql querys in mysql format for shopping categories.
 * 
 * @package System
 * @author Wagner Santos
 * @version 1.0 
 */
 class facilConfig
 {
 	
 	var $_TITLE = null;
	var $_AUTHOR = null;
	var $_EMAIL = null;
	var $_CONTENT = null;
	var $_DESCRIPTION = null;
	var $_URL = null;
	var $_DOMAIN = null;
	var $_LANGUAGE = null;
	var $_MULTILANGUAGE = null;
	var $_SITE_INDEX = null;
	var $_FOOTER = null;
	var $_THEME = null;
 
 	/**
 	 * PHP 5 Constructor
	 */
 	function __construct()
 	{
 		$this->getConfigInfo();
 	}
 	
 	/**
 	 * PHP 4 Constructor
	 */
 	function facilConfig()
 	{
 		$this->getConfigInfo();
 	}
 	
 	/**
 	 * Get site title.
 	 * @return string
	 */
	function getTitle()
	{
		return $this->_TITLE;
	}
	
	/**
	 * Set site title.
	 * @param string
	 */
	function setTitle($title)
	{
		$this->_TITLE = $title;
	}
	
	/**
 	 * Get site author.
 	 * @return string
	 */
	function getAuthor()
	{
		return $this->_AUTHOR;
	}
	
	/**
	 * Set site title.
	 * @param string
	 */
	function setAuthor($author)
	{
		$this->_AUTHOR = $author;
	}
	
	/**
 	 * Get site contact e-mail.
 	 * @return string
	 */
	function getEmail()
	{
		return $this->_EMAIL;
	}
	
	/**
	 * Set site contact e-mail.
	 * @param string
	 */
	function setEmail($email)
	{
		$this->_EMAIL = $email;
	}
	
	/**
 	 * Get site content.
 	 * @return string
	 */
	function getContent()
	{
		return $this->_CONTENT;
	}
	
	/**
	 * Set site content.
	 * @param string
	 */
	function setContent($content)
	{
		$this->_CONTENT = $content;
	}
	
	/**
 	 * Get site description.
 	 * @return string
	 */
	function getDescription()
	{
		return $this->_DESCRIPTION;
	}
	
	/**
	 * Set site description.
	 * @param string
	 */
	function setDescription($description)
	{
		$this->_DESCRIPTION = $description;
	}
	
	/**
 	 * Get site url.
 	 * @return string
	 */
	function getURL()
	{
		return $this->_URL;
	}
	
	/**
	 * Set site url.
	 * @param string
	 */
	function setURL($url)
	{
		$this->_URL = $url;
	}
	
	/**
 	 * Get site domain.
 	 * @return string
	 */
	function getDomain()
	{
		return $this->_DOMAIN;
	}
	
	/**
	 * Set site domain.
	 * @param string
	 */
	function setDomain($domain)
	{
		$this->_DOMAIN = $domain;
	}
	
	/**
 	 * Get site default language.
 	 * @return string
	 */
	function getLanguage()
	{
		return $this->_LANGUAGE;
	}
	
	/**
	 * Set site language.
	 * @param string
	 */
	function setLanguage($language)
	{
		$this->_LANGUAGE = $language;
	}
	
	/**
 	 * Check if site is multilanguage supported.
 	 * @return bool
	 */
	function getMultilanguage()
	{
		return $this->_MULTILANGUAGE;
	}
	
	/**
	 * Set site multilanguage support.
	 * @param bool
	 */
	function setMultianguage($bool)
	{
		$this->_MULTILANGUAGE = $bool;
	}
	
	/**
 	 * Get site index module or page.
 	 * @return string
	 */
	function getSiteIndex()
	{
		return $this->_INDEX;
	}
	
	/**
	 * Set site index module or page.
	 * @param string
	 */
	function setSiteIndex($index)
	{
		$this->_INDEX = $index;
	}
	
	/**
 	 * Get site footer message.
 	 * @return string
	 */
	function getFooter()
	{
		return $this->_FOOTER;
	}
	
	/**
	 * Set site footer.
	 * @param string
	 */
	function setFooter($footer)
	{
		$this->_FOOTER = $footer;
	}
	
	/**
 	 * Get site default theme.
 	 * @return string
	 */
	function getTheme()
	{
		return $this->_THEME;
	}
	
	/**
	 * Set site default theme.
	 * @param string
	 */
	function setTheme($theme)
	{
		$this->_THEME = $theme;
	}
 	
 	/**
 	 * Get site configuration info.
 	 * @return bool;
	 */
 	function getConfigInfo()
 	{
 		$sql = "SELECT * FROM " . _CONFIG_DB_TABLE_;
 		$res = $GLOBALS['DB']->Execute($sql) or die($GLOBALS['DB']->ErrorMsg() . '<br />' . $sql);
 		if($res->RecordCount() > 0)
 		{
 			$this->setAuthor($res->fields('author'));
			$this->setContent($res->fields('content'));
			$this->setDescription($res->fields('description'));
			$this->setDomain($res->fields('domain'));
			$this->setEmail($res->fields('email'));
			$this->setFooter($res->fields('footer'));
			$this->setLanguage($res->fields('language'));
			$this->setMultianguage($res->fields('multilanguage'));
			$this->setSiteIndex($res->fields('site_index'));
			$this->setTheme($res->fields('theme'));
			$this->setTitle($res->fields('title'));
			$this->setURL($res->fields('url'));
 			return true;
 		}
 	}
 	
 	function Update()
 	{
 		if(!is_null($this->getTitle()))
 		{
 			$sql = "UPDATE " . _CONFIG_DB_TABLE_ . " SET ";
 			$sql .= "author='" . $this->getAuthor() . "', ";
 			$sql .= "content='" . $this->getContent() . "', ";
 			$sql .= "description='" . $this->getDescription() . "', ";
 			$sql .= "domain='" . $this->getDomain() . "', ";
 			$sql .= "email='" . $this->getEmail() . "', ";
 			$sql .= "footer='" . $this->getFooter() . "', ";
 			$sql .= "language='" . $this->getLanguage() . "', ";
 			$sql .= "multilanguage='" . $this->getMultilanguage() . "', ";
 			$sql .= "site_index='" . $this->getSiteIndex() . "', ";
 			$sql .= "theme='" . $this->getTheme() . "', ";
 			$sql .= "title='" . $this->getTitle() . "', ";
 			$sql .= "url='" . $this->getUrl() . "'";
 			$sql .= " LIMIT 1";
 			if($GLOBALS['DB']->Execute($sql))
 			{
 				return true;
 			}
 			else
 			{
 				die($GLOBALS['DB']->ErrorMsg() . '<br />' . $sql);
 			}
 		}
 	}
 	
 	function getHtmlHeader()
 	{
 		
 		$SITE_TITLE = $this->getTitle();
 		$SITE_AUTHOR = $this->getAuthor();
 		$SITE_DESCRIPTION = $this->getDescription();
 		$SITE_CONTENTS = $this->getContent();
 		
 		if(file_exists(_FACIL_THEMES_PATH_ . '/' . $this->getTheme() . '/themeFacil.class.php'))
 		{
 			$theme_css_path = _FACIL_THEMES_PATH_ . '/' . $this->getTheme() . '/css';
 			$CSS = '';
 			if(is_dir($theme_css_path))
 			{
 				$dir = opendir($theme_css_path);
 				while(($ls = readdir($dir)) !== false)
 				{
 					if(eregi(".css", $ls))
 					{
 						$CSS .= "\t" . '<link href="' . $theme_css_path . '/' . trim($ls) . '" rel="stylesheet" type="text/css" />' . "\n";
 					}
 				}
 			}
 			
 			if($_POST['modload'])
 			{
 				$modload = $_POST['modload'];
 			}
 			elseif($_GET['modload'])
 			{
 				$modload = $_GET['modload'];
 			}
 			elseif($_POST['admload'])
 			{
 				$modload = $_POST['admload'];
 			}
 			elseif($_GET['admload'])
 			{
 				$modload = $_GET['admload'];
 			}
 			elseif($_SERVER['SCRIPT_NAME'] == '/index.php')
 			{
 				$modload = $this->getSiteIndex();
 			}
 			else
 			{
 				$modload = false;
 			}
 			
 			if($modload && is_dir(_FACIL_MODULES_PATH_ . '/' . trim($modload) . '/css'))
 			{
 				if($dir = opendir(_FACIL_MODULES_PATH_ . '/' . trim($modload) . '/css'))
 				{
 					while(($ls = readdir($dir)) !== false)
 					{
	 					if(eregi(".css", $ls))
	 					{
	 						$CSS .= "\t" . '<link href="' . _FACIL_MODULES_PATH_ . '/' . $modload . '/css/' . trim($ls) . '" rel="stylesheet" type="text/css" />' . "\n";
	 					}
 					}
 				}
 			}
 			
 		}
 		else
 		{
 			die(_FACIL_THEME_ERROR_);
 		}
 		
 		if(file_exists(_FACIL_THEMES_PATH_ . '/' . $_SESSION['FACIL_THEME'] . '/modules/Configuration/htmlHeader.html'))
 		{
 			$filepath = _FACIL_THEMES_PATH_ . '/' . $_SESSION['FACIL_THEME'] . '/modules/Configuration/htmlHeader.html'; 
 		}
 		else
 		{
 			$filepath = _FACIL_MODULES_PATH_ . '/Configuration/html/htmlHeader.html';
 		}
		
		$file = addslashes(implode("", file($filepath)));
		$html = "\$html = \"" . $file . "\";";
		eval($html);
		
		$html = stripslashes($html);
		
		return $html;		
 	}
 
 }

?>