<?php

/*
 * Facil-CMS: Because manager your site is very easy!
 * ==================================================
 * 
 * Authors: Wagner Santos -> wagner.santos@dotlinux.com.br
 * 			Celina Jorge  -> celina.jorge@dotlinux.com.br
 * 
 * ====================================================================
 * Facil-CMS is Free Software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation (either version 2.0 of the license).
 * ====================================================================
 */


/**
 * Manager your images!
 * 
 * @package System
 * @author Wagner Santos
 * @version 1.0 
 */

class facilImages
{
	
	function Thumb($file, $path)
 	{
 		$fpath = $path . '/' . $file;
 		
		list($width, $height) = getimagesize($fpath);

		if($width > $height)
		{
			$new_width = 240;
			$new_height = 180;
		}
		else
		{
			$new_width = 135;
			$new_height = 180;
		}

		$newimage = imagecreatetruecolor($new_width, $new_height);
		$image = imagecreatefromjpeg($fpath);

		imagecopyresampled($newimage, $image, 0, 0, 0, 0, $new_width, $new_height, $width, $height);

		if(imagejpeg($newimage, $path . '/thumb-' . $file, 80))
		{
			return true;
		}
 	}
 	
 	function Resize($file, $path)
 	{
 		$fpath = $path . '/' . $file;
 		
		list($width, $height) = getimagesize($fpath);
		
		if($width > $height)
		{
			if($width > 640)
			{
				$new_width = 640;
			}
			if($height > 480)
			{
				$new_height = 480;
			}
		}
		else
		{
			if($width > 480)
			{
				$new_width = 480;
			}
			if($height > 640)
			{
				$new_height = 640;
			}
		}
		
		$newimage = imagecreatetruecolor($new_width, $new_height);
		$image = imagecreatefromjpeg($fpath);
 		imagecopyresampled($newimage, $image, 0, 0, 0, 0, $new_width, $new_height, $width, $height);

		if(imagejpeg($newimage, $path . '/' . $file, 85))
		{
			return true;
		}
 	}
	
}

?>