<?php

/*
 * Facil-CMS: Because manager your site is very easy!
 * ==================================================
 * 
 * Authors: Wagner Santos -> wagner.santos@dotlinux.com.br
 * 			Celina Jorge  -> celina.jorge@dotlinux.com.br
 * 
 * ====================================================================
 * Facil-CMS is Free Software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation (either version 2.0 of the license).
 * ====================================================================
 */


/**
 * Facil-CMS Utilities.
 * 
 * @package System
 * @author Wagner Santos
 * @version 1.0 
 */

class facilUtils
{
	function is_module($module)
	{
		if(file_exists(_FACIL_MODULES_PATH_ . '/' . trim($module) . '/index.php') || file_exists(_FACIL_MODULES_PATH_ . '/' . trim($module) . '/admin.php'))
 		{
 			return true;
 		}
	}
	
	function htmlentities($string)
	{
		return htmlentities($string, ENT_QUOTES, 'UTF-8');
	}
	
	function html_entity_decode($string)
	{
		return html_entity_decode($string, ENT_QUOTES, 'UTF-8');
	}
	
	function formatDate($date)
	{
 		$date = explode(" ", $date);
 		
 		$hour = $date[1];
 		$hour = explode(":", $hour);
 		
 		$date = $date[0];
 		$date = explode("-", $date);
 		
 		$unixtime = mktime($hour[0], $hour[1], $hour[2], $date[1], $date[2], $date[0]);
 		$date = date(_DATE_FORMAT_, $unixtime);
 		
 		return $date;
	}
	
	function Paging($pages, $page, $link)
	{
		$paging = '';
		for($i=0; $i<$pages; $i++)
		{
			if($i != $page)
			{
				$paging .= '<a href="' . $link . $i . '">';
			}
			
			$paging .= ($i+1);
			
			if($i != $page)
			{
				$paging .= '</a>';
			}
			
			$paging .= ' ';
		}
		return $paging;
	}
	
	function getFacilLanguages()
	{
		if(is_dir(_FACIL_I18N_PATH_))
 		{
 			if($dir = opendir(_FACIL_I18N_PATH_))
 			{
 				$languages = array();
 				while(($ls = readdir($dir)) !== false)
 				{
 					if(eregi("desc-", $ls) && eregi(".txt", $ls))
 					{
 						$file = file(_FACIL_I18N_PATH_ . '/' . $ls);
 						$languages[] = array('acronym' => $file[0], 'language' => $file[1]);
 					}
 				}
 				return $languages;
 			}
 		}
	}
	
	function getFacilAdmModules()
	{
		if(is_dir(_FACIL_MODULES_PATH_))
 		{
 			if($dir = opendir(_FACIL_MODULES_PATH_))
 			{
 				$array = array();
 				while(($ls = readdir($dir)) !== false)
 				{
 					if($ls != "." && $ls != ".." && file_exists(_FACIL_MODULES_PATH_ . '/' . trim($ls) . '/admin.php'))
 					{
 						$file = file(_FACIL_MODULES_PATH_ . '/' . trim($ls) . '/i18n/desc-' . $_SESSION['FACIL_LANGUAGE'] . '.txt');
 						$array[] = array('name' => trim($file[0]), 'module' => trim($ls), 'mod_desc' => trim($file[1]), 'admin_desc' => trim($file[2]));
 					}
 				}
 				return $array;
 			}
 		}
	}
	
	function getFacilModules()
	{
		if(is_dir(_FACIL_MODULES_PATH_))
 		{
 			if($dir = opendir(_FACIL_MODULES_PATH_))
 			{
 				$array = array();
 				while(($ls = readdir($dir)) !== false)
 				{
 					if($ls != "." && $ls != ".." && file_exists(_FACIL_MODULES_PATH_ . '/' . trim($ls) . '/index.php'))
 					{
 						$file = file(_FACIL_MODULES_PATH_ . '/' . trim($ls) . '/i18n/desc-' . $_SESSION['FACIL_LANGUAGE'] . '.txt');
 						$array[] = array('name' => trim($file[0]), 'module' => trim($ls), 'mod_desc' => trim($file[1]));
 					}
 				}
 				return $array;
 			}
 		}
	}
	
}

?>