<?php

/*
 * Facil-CMS: Because manager your site is very easy!
 * ==================================================
 * 
 * Authors: Wagner Santos -> wagner.santos@dotlinux.com.br
 * 			Celina Jorge  -> celina.jorge@dotlinux.com.br
 * 
 * ====================================================================
 * Facil-CMS is Free Software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation (either version 2.0 of the license).
 * ====================================================================
 */


 /**
  * Configuration module forms.
  * @package Configuration
  * @author Wagner Santos
  * @version 1.0
  */
 class formConfiguration
 {
 	
 	/**
 	 * Return system configuration form.
 	 *
 	 * @return string
 	 */
 	function Configuration()
 	{
 		/*
 		 * Configuration Variables;
 		 */
 		$config = new facilConfig();
 		$AUTHOR = $config->getAuthor();
 		$CONTENT = $config->getContent();
 		$DESCRIPTION = $config->getDescription();
 		$DOMAIN = $config->getDomain();
 		$EMAIL = $config->getEmail();
 		$FOOTER = $config->getFooter();
 		$LANGUAGE = $config->getLanguage();
 		$MULTILANGUAGE = $config->getMultilanguage();
 		$SITE_INDEX = $config->getSiteIndex();
 		$THEME = $config->getTheme();
 		$TITLE = $config->getTitle();
 		$URL = $config->getURL();
 		
 		/*
 		 * Template Variables;
 		 */
 		$_LABEL_SITE_SETTINGS = _SITE_SETTINGS_;
 		$_LABEL_SITE_GENERAL_SETTINGS = _SITE_GENERAL_SETTINGS_;
 		$_LABEL_SITE_TITLE = _SITE_TITLE_;
 		$_LABEL_AUTHOR = _SITE_AUTHOR_;
 		$_LABEL_EMAIL = _SITE_EMAIL_;
 		$_LABEL_CONTENT = _SITE_CONTENT_;
 		$_LABEL_DESCRIPTION = _SITE_DESCRIPTION_;
 		$_LABEL_SITE_ADDRESSES = _SITE_ADDRESSES_;
 		$_LABEL_URL = _URL_;
 		$_LABEL_DOMAIN = _SITE_DOMAIN_;
 		$_LABEL_SITE_LANGUAGE_SUPPORT = _SITE_LANGUAGE_SUPPORT_;
 		$_LABEL_DEFAULT_LANGUAGE = _SITE_DEFAULT_LANGUAGE_;
 		$_LABEL_MULTILANGUAGE = _SITE_MULTILANGUAGE_;
 		$_LABEL_YES = _YES_;
 		$_LABEL_NO = _NO_;
 		$_LABEL_SITE_APARENCE = _SITE_APARENCE_;
 		$_LABEL_INDEX = _SITE_INDEX_;
 		$_LABEL_DEFAULT_THEME = _SITE_DEFAULT_THEME_;
 		$_LABEL_FOOTER = _SITE_FOOTER_;
 		$_LABEL_SAVE = _SAVE_;
 		$_LABEL_RESET = _RESET_;
 		$_LABEL_START = _START_;
 		
 		/*
 		 * JavaScript Messages
 		 */
 		$_MSG_ERROR_TITLE = _MSG_ERROR_TITLE_;
 		$_MSG_ERROR_AUTHOR = _MSG_ERROR_AUTHOR_;
 		$_MSG_ERROR_EMAIL = _MSG_ERROR_EMAIL_;
 		$_MSG_ERROR_CONTENT = _MSG_ERROR_CONTENT_;
 		$_MSG_ERROR_DESCRIPTION = _MSG_ERROR_DESCRIPTION_;
 		$_MSG_ERROR_URL = _MSG_ERROR_URL_;
 		$_MSG_ERROR_DOMAIN = _MSG_ERROR_DOMAIN_;
 		$_MSG_ERROR_LANGUAGE = _MSG_ERROR_LANGUAGE_;
 		$_MSG_ERROR_SITE_INDEX = _MSG_ERROR_SITE_INDEX_;
 		$_MSG_ERROR_THEME = _MSG_ERROR_THEME_;
 		$_MSG_CONFIRM_SITE_CHANGES = _MSG_CONFIRM_SITE_CHANGES_;
 		
 		/*
 		 * Generates Language Selecion;
 		 */
 		$SELECT_LANGUAGE = '<select name="language">' . "\n";
 		$SELECT_LANGUAGE .= '<option value="">' . _SELECT_ . '</option>' . "\n";
 		
 	 	$utils = new facilUtils();
 	 	$languages = $utils->getFacilLanguages();
 	 	
 	 	for($i=0; $i<count($languages); $i++)
 	 	{
 	 		if($LANGUAGE == trim($languages[$i]['acronym']))
 	 		{
 	 			$sel = " selected";
 	 		}
 	 		else
 	 		{
 	 			$sel = "";
 	 		}
 	 		$SELECT_LANGUAGE .= '<option value="' . trim($languages[$i]['acronym']) . '"' . $sel . '>' . trim($languages[$i]['language']) . '</option>' . "\n";
 	 	}
 		
 		$SELECT_LANGUAGE .= '</select>';
 		
 		/*
 		 * Check if multilanguage is actived;
 		 */
 		if($MULTILANGUAGE == '1')
 		{
 			$CHECKED1 = ' checked="true"';
 			$CHECKED2 = '';
 		}
 		else
 		{
 			$CHECKED1 = '';
 			$CHECKED2 = ' checked="true"';
 		}
 		
 		/*
 		 * Generates Index Selection
 		 */
 		$SELECT_INDEX = '<select name="index">' . "\n";
 		$SELECT_INDEX .= '<option value="">' . _SELECT_ . '</option>' . "\n";
 		$mods = $utils->getFacilModules();
 		sort($mods);
 		for($i=0; $i<count($mods); $i++)
 		{
 			if(trim($mods[$i]['module']) == trim($SITE_INDEX))
 			{
 				$sel = " selected";
 			}
 			else
 			{
 				$sel = "";
 			}
 			$SELECT_INDEX .= '<option value="' . $mods[$i]['module'] . '"' . $sel . '>' . $mods[$i]['name'] . '</option>';
 		}

 		$SELECT_INDEX .= '</select>' . "\n";
 		
 		/*
 		 * Generates Themes Selection;
 		 */
 		$SELECT_THEME = '<select name="theme">' . "\n";
 		$SELECT_THEME .= '<option value="">' . _SELECT_ . '</option>' . "\n";
 		if(is_dir(_FACIL_THEMES_PATH_))
 		{
 			if($dir = opendir(_FACIL_THEMES_PATH_))
 			{
 				while(($ls = readdir($dir)) !== false)
 				{
 					if($ls != "." && $ls != ".." && file_exists(_FACIL_THEMES_PATH_ . '/' . trim($ls) . '/themeFacil.class.php'))
 					{
 						if(trim($ls) == $THEME)
 						{
 							$sel = " selected";
 						}
 						else
 						{
 							$sel = "";
 						}
 						$SELECT_THEME .= '<option value="' . trim($ls) . '"' . $sel . '>' . trim($ls) . '</option>' . "\n";
 					}
 				}
 			}
 		}
 		$SELECT_THEME .= '</select>' . "\n";
 		
 		$fck = new FCKeditor('footer');
 		$fck->Value = $FOOTER;
 		$fck->ToolbarSet = 'BasicFormat';
 		$fck->Height = '150';
 		$FCKEDITOR = $fck->CreateHtml();
 		
 		/*
 		 * Get HTML Template File;
 		 */
 		if(file_exists(_FACIL_THEMES_PATH_ . '/' . $_SESSION['FACIL_THEME'] . '/modules/Configuration/formConfiguration.html'))
 		{
 			$filepath = _FACIL_THEMES_PATH_ . '/' . $_SESSION['FACIL_THEME'] . '/modules/Configuration/formConfiguration.html'; 
 		}
 		else
 		{
 			$filepath = _FACIL_MODULES_PATH_ . '/Configuration/html/formConfiguration.html';
 		}
		
		$file = addslashes(implode("", file($filepath)));
		$html = "\$html = \"" . $file . "\";";
		eval($html);
		
		$html = stripslashes($html);
		
		return $html;
 	}
 	
 }

?>